%define name 	sane
%define version 1.0.7
%define release 4mdk
%define beta	%nil

%define libmajor 1
%define libname libsane%{libmajor}

# Backend maintainer says to leave gphoto2 disabled for now.
%define gphoto2_support 0

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	SANE - local and remote scanner access.
URL:		http://www.mostang.com/sane/
Source:		ftp://ftp.mostang.com/pub/sane/sane-%version/sane-backends-%{version}%{beta}.tar.bz2
Patch9: 	sane-sparc.patch.bz2
Patch10:	sane-1.0.7-ppc.patch.bz2
License: 	GPL
Group:		Graphics
Packager:	Yves Duret <yduret@mandrakesoft.com>
Requires:	%{libname} = %{version}-%{release}
Requires:	sane-backends = %{version}-%{release}
Requires:	libptal0
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	XFree86-devel gimp-libgimp libjpeg-devel libptal-devel tetex-latex
%if %{gphoto2_support}
BuildRequires: gphoto2-devel
%endif


%description
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, read the saned(1) manpage.

%package -n %{libname}
Group: 		System/Kernel and hardware
License: 	LGPL
Summary: 	SANE - local and remote scanner access. This package contains the sane library.
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, read the saned(1) manpage.

%package -n %{libname}-devel
Group: 		Development/C
License:	LGPL
Summary: 	SANE - local and remote scanner access.
Requires: 	%{libname} = %{version}-%{release}
Provides: 	libsane-devel = %{version}-%{release}
Provides:	sane-devel = %{version}-%{release}
Obsoletes: 	sane-devel

%description -n %{libname}-devel
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, read the saned(1) manpage.

This package contains the headers and development libraries necessary 
to develop applications using SANE.

%package backends
Group:		System/Kernel and hardware
License:	LGPL
Summary:	SANE - local and remote scanner access.
Provides:	%{name} = %{version}-%{release}

%description backends
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, read the saned(1) manpage.

This package contains the backends for different scanners.

%prep
%setup -q -n sane-backends-%{version}%{beta}
%patch9 -p1 -b .sparc
%ifarch ppc
%patch10 -p1 -b .ppc
%endif

%build
%if %{gphoto2_support}
%configure --with-gphoto2=%{_prefix}
%else
%configure --without-gphoto2
%endif

# glibc 2.1 has stpcpy, but sane's configure is apparently unable to detect it.
perl -p -i -e "s|\/\* #undef HAVE_STPCPY \*\/|#define HAVE_STPCPY 1|" include/sane/config.h

%make
%make -C doc sane.ps.gz

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#mv $RPM_BUILD_ROOT/%{_sbindir}/saned $RPM_BUILD_ROOT/%{_sbindir}/in.saned
#install -m 755 tools/sane-find-scanner $RPM_BUILD_ROOT/%{_bindir}
perl -pi -e "s/installed.*/installed=yes/g" $RPM_BUILD_ROOT%{_libdir}/libsane.la
/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_libdir}/sane

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files backends
%defattr(-,root,root,755)
%doc README README.linux AUTHORS NEWS TODO COPYING doc/canon doc/mustek doc/mustek_usb doc/umax
%{_bindir}/sane-find-scanner
%{_bindir}/scanimage
%{_sbindir}/*
%{_mandir}/*/*
%dir %{_sysconfdir}/sane.d
%config(noreplace) %{_sysconfdir}/sane.d/*

%files -n %{libname}
%defattr(-,root,root,755)
%doc COPYING
%{_libdir}/*.so.*
%dir %{_libdir}/sane
%{_libdir}/sane/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,755)
%doc doc/backend-writing.txt doc/sane.ps.gz LEVEL2 ChangeLog
%{_bindir}/sane-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
#%{_libdir}/sane/*.a
#%{_libdir}/sane/*.la
#%{_libdir}/sane/*.so
%{_includedir}/sane

%changelog
* Tue Mar 05 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-4mdk
- requires/provides on both %%{version} and %%{release}
- added packager tag on myself

* Tue Mar  5 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.7-3mdk
- rework PPC patches

* Sat Feb 09 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.7-2mdk
- bypass building parallel port drivers on PPC

* Tue Feb 05 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-1mdk
- true version 1.0.7

* Thu Jan 31 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-0.beta2.1mdk
- version 1.0.7-beta2

* Mon Jan 28 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-0.beta1.2mdk
- rebuild against libusb 0.1.4

* Tue Jan 22 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-0.beta1.1mdk
- version 1.0.7-beta1
- removed patches (merged upstream): scsi, microtek2 -1 pid, file names format

* Wed Nov 28 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.6-2mdk
- drop patch0 for PPC - not needed anymore
- disable umax parallel port scanner build PPC (patch10)

* Tue Nov 27 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.6-1mdk
- the long awaiting 1.0.6 version
- temporaly disable gphoto2 support
- added some doc in devel and std rpm, compression of doc if needed
- fix some plugin place
- sane-config is now in the devel package
- add patch{1,2,3,9} from sane-devel@ ml

* Tue Oct 09 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.5-3mdk
- added mustek usb support

* Thu Aug 30 2001 Till Kamppeter <till@mandrakesoft.com> 1.0.5-2mdk
- Added HP OfficeJet support

* Fri Jul  6 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.5-1mdk
- the long awaiting 1.0.5 version

* Thu Jun 14 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.5-0.20010610.1mdk
- pre-1.0.5, CVS snapshot 2001 10 06
  beware that find-scanner is now called sane-find-scanner
- macros, spec clean up

* Thu May 17 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.4-3mdk
- patch for PPC, scsi/sg.h appears to get included twice, remove one of them

* Thu Jan 04 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-2mdk
- libsane1-devel obsoletes sane-devel (lart me)

* Wed Jan 03 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-1mdk
- New version
- Brand new spec file:
  * split libsane1 to comply to new lib policy
  * package sane-backends contains scanner backends

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.3-2mdk
- rebuild for new libgimp
- fix %%config(noreplace)

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-1mdk
- s|1.0.2|1.0.3|.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-5mdk
- automatically added BuildRequires


* Thu Jul 27 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.2-4mdk
- BMacros
- Some spec file changes

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.2-3mdk
- Fixed group for sane-devel

* Fri Mar 17 2000 Francis Galiegue <francis@mandrakesoft.com> 1.0.2-2mdk
- Changed group to match 7.1 specs
- Some spec file changes
- Let spec-helper do its job

* Tue Mar 07 2000 Daouda LO	<daouda@mandrakesoft.com>
- 1.0.2

* Mon Nov 15 1999 Florin Grad <florin@mandrakesoft.com>

* Tue Sep 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Recompile with gimp-1.0.4.

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild with gimp-1.1.8.

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix broken %post %postun broken scripts.

* Tue May 25 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- recompile in a GIMP-friendly environment
- fix some rather stupid spec bugs

* Tue May 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.01.
- Mandrake adaptations.

* Mon Nov 23 1998 Jonathan Miller <jlm@mvhi.com>
 [1.00-1]
- upgraded to 1.00 (and made description less space-consuming)
- included the post 1.00 fixed "configure" script available 22 Nov 1998.

* Sat Aug 08 1998 Arne Coucheron <arneco@online.no>
  [0.74-3]
- added /etc/sane.d to %dir in file list

* Sat Aug 01 1998 Arne Coucheron <arneco@online.no>
  [0.74-2]
- devel Group: reverted back to Development/Libraries
- some changes to the %defattr and %attr usage in file list

* Tue Jul 28 1998 Binaire <binaire@binaire.ml.org>
  [0.74-1]

* Fri May 22 1998 Arne Coucheron <arneco@online.no>
  [0.73-3]
- added use of %%{name} and %%{version} macros
- added a %postun for running ldconfig after uninstall
- using BuildRoot properly now
- using %defattr and %attr macros in filelist, allows non-root build 
  this means that RPM 2.5 is required to build this spec file now!
- devel Group: changed to X11/Libraries
- added using RPM_OPT_FLAGS during make 
- added striping of programs and libraries
- added Requires: gtk+ >= 0.99.13 to main package
- added Requires: %%{name} = %%{version} to devel package
- added a %clean section for removing the buildroot dir
- simplified the filelist and added %config for sane-style.rc
- moved lib*.so to %files devel and dropped the *.la files
- added -q parameter to %setup
- removed some older changelog entries
- removed the "fix ldconfig brokenness..." stuff
- removed the Packager: line; use /etc/rpmrc if you want your name in
- if GIMP is installed, make symlink from xscanimage to plug-ins dir
- install the find-scanner program from the tools dir

* Mon May 18 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Version 0.73 was created: May 13 1998
- gimp (original was build against 0.99.29)
- gtk+ (original was build against 1.0.1)
- dlh (original was build against 0.7d)
- X11 development tree including xpm libraries.

* Wed Apr 22 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Binaries are now BuildRoot proof.

* Wed Apr 22 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Binaries are not BuildRoot proof. release 3 is done without BuildRoot!

* Tue Apr 21 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Temp. fix for some documentations problems with BuildRoot.

* Sat Apr 11 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Formal 0.72 now made as RPM! (Build against GTK+ 0.99.10 and GIMP 0.99.24)
- Original package was released: Tue Apr 7 1998
